Cripay Docs

List payment links

GET
/v1/payment-links

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key (cpr_…) or session JWT

Query Parameters

status?string
Value in"active""inactive"
limit?integer
Range1 <= value <= 100
Default20
starting_after?string

Response Body

Default Response

application/json
  1. response
object*"list"
Value in"list"
data*array<>
has_more*boolean
Example Request
curl -X GET 'http://127.0.0.1:3001/v1/payment-links'
Example Response
{  "object": "list",  "data": [    {      "id": "string",      "object": "payment_link",      "mode": "test",      "available": true,      "unavailable_reason": "inactive",      "title": "string",      "description": "string",      "amount": "string",      "currency": "string",      "min_amount": "string",      "max_amount": "string",      "collect_email": true,      "status": "active",      "url": "string",      "accepted_assets": [        "string"      ],      "accepted_chains": [        "string"      ],      "allowed_payment_methods": [        "external"      ],      "success_url": "string",      "cancel_url": "string",      "payment_expires_in_minutes": 0,      "max_uses": 0,      "uses_count": 0,      "metadata": {        "property1": null,        "property2": null      },      "expires_at": "string",      "created_at": "string",      "updated_at": "string"    }  ],  "has_more": true}